JGraph X 1.4.0.9

## com.mxgraph.view
Interface mxPerimeter.mxPerimeterFunction

Enclosing class:
  mxPerimeter

    public static interface mxPerimeter.mxPerimeterFunction

Defines the requirements for a perimeter function.

Method Summary
`mxPoint` `apply(mxRectangle bounds, mxCellState vertex, mxPoint next, boolean orthogonal)` Implements a perimeter function.

Method Detail

### apply

    mxPoint apply(mxRectangle bounds,
                  mxCellState vertex,
                  mxPoint next,
                  boolean orthogonal)

  Implements a perimeter function.

  Parameters:
    `bounds` - Rectangle that represents the absolute bounds of the vertex.
    `vertex` - Cell state that represents the vertex.
    `next` - Point that represents the nearest neighbour point on the given edge.
    `orthogonal` - Boolean that specifies if the orthogonal projection onto the perimeter should be returned. If this is false then the intersection of the perimeter and the line between the next and the center point is returned.
  Returns:
    Returns the perimeter point.

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.